# Link a collection to an asset

Links an existing collection to an asset.

Endpoint: POST /v1/assets/{assetUuid}/collections
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `assetUuid` (string, required)
    The unique identifier of the asset.

## Request fields (application/json):

  - `collectionUuid` (string, required)
    Identifier of the collection to link the asset to.

## Response 201 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this asset-collection association.

  - `assetUuid` (string, required)
    Identifier of the associated asset.

  - `collectionUuid` (string, required)
    Identifier of the associated collection.

  - `createdAt` (string, required)
    Timestamp when this association was created.
    Example: "2025-11-23T14:15:22.123456Z"

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


